<template>
  <div class="sections">
    <div class="left">
      <list-section />
<!--      <Chat/>-->
    </div>
    <div class="right">
      <order-section/>
    </div>
  </div>
</template>

<script>
  import ListSection from "./sections/list/index";
  import OrderSection from "./sections/order/index";
  // import Chat from '@/components/chat';
  import {mapMutations, mapGetters, mapActions} from 'vuex'

  export default {
    components: {
      ListSection,
      OrderSection,
      // Chat
    },
    created() {
      this.getVat()
    },
    beforeDestroy () {

    },
    watch: {
      // $route (to) {
      //   if (['requests__assigning_resources', 'requests__search-orders'].includes(to?.name)) {
      //     this.wsClient.connect()
      //   } else {
      //     this.wsClient.disconnect()
      //   }
      // }
    },
    computed: {
      ...mapGetters({
          wsClient: 'account/wsClient'
      })
    },
    beforeRouteLeave (from, to, next) {
      if (from.name !== to.name) {
        this.clearOrder()
      }
      next()
    },
    methods: {
      ...mapActions({
        getVat: 'account/getVat'
      }),
      ...mapMutations({
        clearOrder: 'account/clearOrder'
      })
    }
  }
</script>
<style lang="scss">
  .sections{
    display: flex;
    padding: 20px;
    width: 100%;
    .left{
      width: 100%;
    }
    .right{
      margin-left: 10px;
      width: 350px;
      padding: 20px;
      overflow: hidden;
      min-width: 350px;
    }
    .left, .right{
      background: #fff;
    }
    .account-button {
      border-radius: 10px;
      background: $color-blue-navy-blue !important;
      color: $color-light-grey !important;
      &.disabled{
        background: $color-light-grey !important;
      }
    }
    @media screen and (min-width:1600px){
      .right{
        min-width: 450px;
        width: 450px;
      }
    }
  }
</style>
